summaryrefslogtreecommitdiff
path: root/support-files/mysql.server.sh
diff options
context:
space:
mode:
authorDaniel Black <grooverdan@users.sourceforge.net>2015-10-25 11:22:12 +1100
committerNirbhay Choubey <nirbhay@mariadb.com>2015-11-02 23:37:03 -0500
commitd8ecc2a0115f7179a30d772f104bd4cb5b15be20 (patch)
tree7ce87267657d1c66817c11b81c3b1f96ef0724c9 /support-files/mysql.server.sh
parenta2c3549404cbdc55aaaa8537739853d7369aa79a (diff)
downloadmariadb-git-d8ecc2a0115f7179a30d772f104bd4cb5b15be20.tar.gz
MDEV-9007: systemd - service mariadb bootstrap
Now this error out and refers to galera_new_cluster.
Diffstat (limited to 'support-files/mysql.server.sh')
-rw-r--r--support-files/mysql.server.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/support-files/mysql.server.sh b/support-files/mysql.server.sh
index 385feaf75a5..6e1784fe530 100644
--- a/support-files/mysql.server.sh
+++ b/support-files/mysql.server.sh
@@ -443,6 +443,10 @@ case "$mode" in
exit $r
;;
'bootstrap')
+ if test "$_use_systemctl" == 1 ; then
+ log_failure_msg "Please use galera_new_cluster to start the mariadb service with --wsrep-new-cluster"
+ exit 1
+ fi
# Bootstrap the cluster, start the first node
# that initiate the cluster
echo $echo_n "Bootstrapping the cluster.. "